> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/server/it/knowledge-base/how-to-articles/create-a-devolutions-server-workspace-with-an-application-key.md).

# Creare uno spazio di lavoro Devolutions Server con una chiave applicazione

Crei uno spazio di lavoro Devolutions Server utilizzando una chiave e un segreto applicazione, tramite Remote Desktop Manager o uno script PowerShell.

Con il modulo Devolutions.PowerShell è possibile connettersi a un'istanza di Devolutions Server utilizzando una [***Chiave applicazione e un Segreto applicazione***](/server/it/web-interface/administration/user-and-security-management/applications-identities.md). Può creare uno spazio di lavoro Devolutions Server in Remote Desktop Manager oppure manualmente con PowerShell. Segua il metodo più adatto alle sue esigenze.

#### Metodo 1: Remote Desktop Manager

1. In Remote Desktop Manager, vada su ***File – Spazi di lavoro***.
2. Clicchi sul pulsante ***Aggiungi un nuovo spazio di lavoro***.
3. Nella finestra successiva, selezioni lo spazio di lavoro di team ***Devolutions Server***, poi clicchi su ***OK***.
4. Nella scheda ***Generale***, inserisca un ***Nome***, un ***Host*** e un ***Nome utente*** per il nuovo spazio di lavoro. Può poi cliccare sul pulsante ***Testa la connessione*** per confermare che la connessione funzioni.
5. Clicchi sulla scheda ***PowerShell***.
6. Inserisca la sua [***Chiave applicazione e il Segreto applicazione***](/server/it/web-interface/administration/user-and-security-management/applications-identities.md) rispettivamente nel campo ***Tenant ID*** e nel campo ***Password***, poi clicchi su ***OK***.

Il nuovo spazio di lavoro Devolutions Server è ora creato. Ora può connettersi al suo Devolutions Server ed eseguire i suoi script.

#### Metodo 2: PowerShell

1. Utilizzando i cmdlet PowerShell, incolli il seguente script di esempio:

   ```powershell
   $dsname = "DVLS PowerShell"
   $dsurl = "https<area>://your_dvls_url"
   $appkey = "your_appkey"
   $appsecret = "your_appsecret"

   $ds = New-RDMDataSource -DVLS -Name $dsname -Server $dsurl -ScriptingTenantID $appkey -ScriptingApplicationPassword $appsecret -SetDatasource -WarningAction SilentlyContinue
   Set-RDMDataSource $ds
   Set-RDMCurrentDataSource $ds
   ```
2. Sostituisca i valori delle variabili con i suoi, poi esegua lo script.

Il nuovo spazio di lavoro Devolutions Server è ora creato. Ora può connettersi al suo Devolutions Server ed eseguire i suoi script.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/server/it/knowledge-base/how-to-articles/create-a-devolutions-server-workspace-with-an-application-key.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
